package com.ruoyi.project.process.controller.export;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

import java.util.Date;

/**
 * 临时MOC - 仪表联锁旁路导出字段
 *
 * @author Wang Zi Wen
 * @email wangggziwen@163.com
 * @date 2023/02/22 14:17:12
 */
public class Interlock extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** MOC编号 */
    @Excel(name = "MOC编号")
    private String mocNo;

    /** 公司MOC编号 */
    @Excel(name = "公司MOC编号")
    private String companyMocNo;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 完成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "完成时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date finishDate;

    /** 到期时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "到期时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date expTime;

    /** 临时MOC状态 */
    @Excel(name = "临时MOC状态")
    private String tempState;

    /** 移除时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "移除时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date removeTime;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    public String getMocNo() {
        return mocNo;
    }

    public void setMocNo(String mocNo) {
        this.mocNo = mocNo;
    }

    public String getCompanyMocNo() {
        return companyMocNo;
    }

    public void setCompanyMocNo(String companyMocNo) {
        this.companyMocNo = companyMocNo;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Date getFinishDate() {
        return finishDate;
    }

    public void setFinishDate(Date finishDate) {
        this.finishDate = finishDate;
    }

    public Date getExpTime() {
        return expTime;
    }

    public void setExpTime(Date expTime) {
        this.expTime = expTime;
    }

    public String getTempState() {
        return tempState;
    }

    public void setTempState(String tempState) {
        this.tempState = tempState;
    }

    public Date getRemoveTime() {
        return removeTime;
    }

    public void setRemoveTime(Date removeTime) {
        this.removeTime = removeTime;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }
}
